<?php

// make sure we're authorized to be loading this file
session_start();
$storeID = $_SESSION['storeid'];
$ownerKey = $_SESSION['ownerkey'];

if ( !isset($storeID) ) {
	exit;
}

require_once('../inc/e2v_system.php');
require_once('../inc/e2v_db.php');
require_once('../inc/e2v_utils.php');


DBConnect();
CleanPost();

$command = $_POST['command'];
$resp = array();


// item search

if ( $command == "isearch" )
{
  // we need to replace a * character with % for mySQL's LIKE
  $query = str_replace( '*', '%', $_POST['q'] );

  $sql = <<<SQL
  SELECT item
  FROM sales
  WHERE (storeid=$storeID) AND (item LIKE "$query")
  GROUP BY item
  ORDER BY item
SQL;

  $items = array();

  $result = run_mysql_query( $sql );
  while ( $row = mysql_fetch_assoc( $result ) )
  {
    $items[] = htmlspecialchars($row['item']);
  }

  $resp['items'] = $items;
  $resp[FIELD_STATUS] = STATUS_OK;
  print json_encode( $resp );
  exit;
}


// save
if ( $command == "save" )
{
  $queryType = $_POST['querytype'];
  $itemName = $_POST['itemname'];
  $spendLow = intval( $_POST['spendlow'] );
  $spendHigh = intval( $_POST['spendhigh'] );
  $creditLow = intval( $_POST['creditlow'] );
  $creditHigh = intval( $_POST['credithigh'] );
  $dateLow = $_POST['datelow'];
  $dateHigh = $_POST['datehigh'];
  
  if ( strlen($dateLow) == 0 ) unset( $dateLow );
  if ( strlen($dateHigh) == 0 ) unset( $dateHigh );
  
  $sql = 'UPDATE messenger SET querytype="' . $queryType . '",';
  if ( $queryType == "I" ) $sql .= 'item="' . $itemName . '"';
  if ( $queryType == "S" ) $sql .= 'spendlow=' . $spendLow . ',spendhigh=' . $spendHigh;
  if ( $queryType == "C" ) $sql .= 'creditlow=' . $creditLow . ',credithigh=' . $creditHigh;
  
  // date range is only applicable for I and S
  if ( $queryType == "I" || $queryType == "S" )
  {
    // check if there are date values supplied
    if ( isset($dateLow) ) $sql .= ',datelow="' . $dateLow . '"';
    else $sql .= ",datelow=NULL";
    
    if ( isset($dateHigh) ) $sql .= ',datehigh="' . $dateHigh . '"';
    else $sql .= ",datehigh=NULL";
  }
  
  $sql .= ' WHERE storeid=' . $storeID;

  $result = run_mysql_query( $sql );
  if ( mysql_errno() == 0 ) $resp[FIELD_STATUS] = STATUS_OK;
  else $resp[FIELD_ERROR] = mysql_error();
  $resp['sql'] = $sql;

  print json_encode( $resp );
  exit;
    
}

