<?php
$hasForms = true;
include_once('page-header.php');
?>

<div class="grid-60 prefix-20 suffix-20">

  <div>
    <form id="login_form" class="std-form" method="post" action="dologin.php">
      <fieldset>
        <legend>Login Information</legend>
        <div>
					<label class="field" for="username">Avatar name:</label>
          <input type="text" autofocus id="username" name="username" value="" placeholder="SL avatar name" maxlength="40">
        </div>
        <div>
        	<label class="field" for="password">Password:</label>
          <input type="password" id="password" name="password" placeholder="E2V password" maxlength="40">
        </div>
        <br />
        <p>Note: you do not need to add "Resident" for newer usernames.</p>
        <button id="login_btn">Log in</button>
        <button id="forgot_btn">Forgot password?</button>
      </fieldset>
    </form>
  </div>
  
<?php if ( isset($_GET['err']) && $_GET['err'] == '1' ) { ?>
  <div class="ui-widget">
    <div class="ui-state-error ui-corner-all" style="padding: 5px;">
      <p>Unknown user name.</p>
    </div>
  </div>
<?php } ?>

<?php if ( isset($_GET['err']) && $_GET['err'] == '2' ) { ?>
  <div class="ui-widget">
    <div class="ui-state-error ui-corner-all" style="padding: 5px;">
      <p>Incorrect password.</p>
    </div>
  </div>
<?php } ?>

</div>

<div class="grid-100">&nbsp;</div>

<div class="grid-40 prefix-30 suffix-30">
  <article>
    <header><h4>About this website</h4></header>
    <section>
      <p>This website uses HTML 5, which is understood correctly only by modern browsers.
      Please make sure you're using the latest version of your favorite browser.</p>
    </section>
  </article>
</div>


<script>

$(function() {

	$("#login_form").validate({
		rules: {
			username: {
				required: true,
				minlength: 4,
				maxlength: 40
			},
			password: {
				required: true,
				minlength: 2,
				maxlength: 40
			}
		}
	});
	
	$("#login_btn").button({
		icons: { primary: "ui-icon-person" }
	});
	$("#forgot_btn").button({
		icons: { primary: "ui-icon-key" }
	});
	
	$("#login_btn").click(function(e) {
    $("#login_form").submit();
  });
	
	$("#forgot_btn").click(function(e) {
    alert("Use the Installer HUD to reset your password.");
  });
	
	
});

</script>

<?php
include_once('page-footer.php');