<?php

$crumbs = array('main','recent-sales');

include_once('user-auth.php');
include_once('page-header.php');
include_once('../inc/e2v_db.php');

function RenderReport( $store, $dateLow, $dateHigh )
{
?>
<table class="sales-table">
  <thead>
    <tr>
      <th align="left">Date</th>
      <th align="right">Amount</th>
    </tr>
  </thead>
  <tbody>
<?php  
	
	$sql = <<<SQL
SELECT date AS sdate, SUM(cost) as total
  FROM sales AS s
  WHERE (s.storeid=$store) AND (s.date >= $dateLow) AND (s.date <= $dateHigh) AND (s.paytype="L")
  GROUP BY MONTH(FROM_UNIXTIME(s.date)), DAY(FROM_UNIXTIME(s.date))
  ORDER BY s.date DESC
SQL;

	$result = run_mysql_query( $sql );
	while ( $row = mysql_fetch_assoc( $result ) )
	{
    $html = '<tr>';
    $html .= '<td>' . date('Y-m-d', $row['sdate']) . '</td>';
    $html .= '<td align="right">L$' . $row['total'] . '</td>';
    $html .= '</tr>';
		print $html;
	}
?>
  </tbody>
</table>
<?php	
	
}

?>

<div class="grid-50 prefix-25 suffix-25">
  <article>
    <header><h4>Sales Last 7 days (Cash only)</h4></header>
    <section>
<?php    

$dateHigh = new DateTime();
$dateLow = new DateTime();
$dateLow->modify('-7 day');

RenderReport( $storeID, $dateLow->format('U'), $dateHigh->format('U') );
?>
    </section>
  </article>
</div>


<div class="grid-100">&nbsp;</div>

