<?php

require_once('../inc/e2v_system.php');

// an initial check that the post seems to be coming from SL...
$shard = $_SERVER['HTTP_X_SECONDLIFE_SHARD'];
if ( $shard != 'Production' )
	exit;

// check that the password is valid
if ( $_POST['pw'] != OBJECT_PASSWORD )
	exit;

$ownerKey = filter_var($_SERVER['HTTP_X_SECONDLIFE_OWNER_KEY'], FILTER_SANITIZE_STRING);
if ( strlen( $ownerKey ) == 0 )
	exit;

if ( !isset($_POST['salt'] ) || !isset($_POST['pricemode']) )
  exit;


header("content-type: text/plain; charset=utf-8");
date_default_timezone_set('America/Los_Angeles');


// our required files
require_once('../inc/e2v_db.php');
require_once('../inc/e2v_utils.php');

// clean up all posted variables
DBConnect();
CleanPost();

// must be a store owner
$storeID = GetStoreID( $ownerKey );
if ( $storeID == 0 )
{
	print 'Sorry, your store information could not be located.';
	exit;
}

$salt = $_POST['salt'];
if ( strlen( $salt ) == 0 )
	exit;

$priceMode = $_POST['pricemode'];
if ( strlen( $priceMode ) == 0 )
	exit;

// $credit = CleanInt('credit');
$credit = isset($_POST['credit']) ? (int)$_POST['credit'] : 0;
if ($credit < -100 || $credit > 100)
{
	echo 'Invalid credit value.';
	exit;
}


// create/update the SLM record
$sql = <<<SQL
INSERT INTO slm (storeid,updated,salt,pricemode,credit)
VALUES ($storeID, NOW(), "$salt", "$priceMode", $credit)
  ON DUPLICATE KEY UPDATE updated=NOW(), salt="$salt", pricemode="$priceMode", credit=$credit
SQL;

$result = run_mysql_query( $sql );
$err = mysql_errno();
if ( $err == 0 )
{
	echo 'ok';
	exit;
}
else
{
	print 'Sorry, an error occurred (' . $err . ': ' . mysql_error() . '). Please try again in a moment.';
	exit;
}

