<?php

// make sure we're authorized to be loading this file
session_start();
$storeID = $_SESSION['storeid'];
$ownerKey = $_SESSION['ownerkey'];

if ( !isset($storeID) ) {
	exit;
}

require_once('../inc/e2v_system.php');

require_once('../inc/e2v_db.php');
require_once('../inc/e2v_utils.php');
require_once('../inc/Datatables.php');

$datatables = new Datatables();

// mySQL config
$config = array(
  'username' => DB_USER,
	'password' => DB_PASSWORD,
	'database' => DB_NAME,
	'hostname' => DB_HOST);
	
$datatables->connect( $config );

$datatables
->select('custkey,custname,balance')
->from('credits')
->where('storeid=', $storeID)
->edit_column('custname', '$1', 'userlink(custname,custkey)')
->unset_column('custkey');

echo $datatables->generate();

// =================

function userlink($custName, $custKey)
{
	$link = '<a class="userlink" href="' . $custKey . '">' . $custName . '</a>';
  return $link;
}

