<?php

$dataTables = true;
$crumbs = array('main','store-credit');

include_once('user-auth.php');
include_once('page-header.php');

require_once('../inc/e2v_system.php');
require_once('../inc/e2v_db.php');
require_once('../inc/e2v_utils.php');

DBConnect();
$result = run_mysql_query("SELECT SUM(balance) AS total FROM credits WHERE storeid=$storeID");
$row = mysql_fetch_assoc($result);
$total = intval( $row['total'] );

?>


<div class="grid-100">
  <article>
    <header><h4>Totals</h4></header>
    <section>
      <p>Outstanding store credit: L$<?php echo $total; ?></p>
    </section>
  </article>
</div>


<div class="grid-100">
  <article>
    <header><h4>Store Credit Balances</h4></header>
    <section>
      <p>Note: You can change a credit balance on the customer's detail screen, by clicking their name.</p>
      <p>&nbsp;</p>
      <table id="storecredit" class="dataTable">
        <thead>
          <tr>
            <th class="align-left">Customer</th>
						<th class="align-left">Balance</th>            
            <!-- <th class="align-left">&nbsp;</th> -->
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </section>
  </article>
</div>


<div class="grid-100">&nbsp;</div>



<script>

var theTable = null;

$(document).ready(function()
{
	
	// initialize the data table
	theTable = $("#storecredit").dataTable({
		"aaSorting": [ [0, "asc"] ],
		"aoColumns": [ 
      null,
			{ "bSearchable": false }],
		"bAutoWidth": false,
		"sPaginationType": "full_numbers",
		"bJQueryUI": true,
		"bProcessing": true,
		"bServerSide": true,
		"sAjaxSource": "_storecredit.php",
		"fnServerData" : function( sSource, aoData, fnCallback ) {
			
			$.ajax({
				"dataType" : "json",
				"type" : "POST",
				"url" : sSource,
				"data" : aoData,
				"success" : fnCallback
			});
			
		}
	});
	
	$("body").on( "click", ".userlink", function() {
		
		var uuid = $(this).attr('href');
		var url = "customer-details.php?u=" + uuid;
		window.location = url;
		
		return false;
	});
		
	
	
});
</script>

<?php
include_once('page-footer.php');


