<?php

$crumbs = array('main','top-sellers');

include_once('user-auth.php');
include_once('page-header.php');
include_once('../inc/e2v_db.php');

function RenderReport( $store, $startDate, $endDate )
{
?>
<table class="sales-table">
  <thead>
    <tr>
      <th align="left">Item Name</th>
      <th align="right">Quantity</th>
      <th align="right">Amount</th>
    </tr>
  </thead>
  <tbody>
<?php  
	
	$sql = <<<SQL
SELECT item, COUNT(*) AS sold, SUM(cost) as total
  FROM sales
  WHERE (storeid=$store) AND (date >= $startDate) AND (date <= $endDate) AND (paytype="L")
  GROUP BY item
  ORDER BY sold DESC
  LIMIT 10
SQL;

	$result = run_mysql_query( $sql );
	while ( $row = mysql_fetch_assoc( $result ) )
	{
    $html = '<tr>';
    $html .= '<td>' . $row['item'] . '</td>';
    $html .= '<td align="right">' . $row['sold'] . '</td>';
    $html .= '<td align="right">L$' . $row['total'] . '</td>';
    $html .= '</tr>';
		print $html;
	}
?>
  </tbody>
</table>
<?php	
	
}

?>

<div class="grid-50 prefix-25 suffix-25">
  <article>
    <header><h4>Top Sellers - So Far This Month (Cash sales only)</h4></header>
    <section>
<?php    
// this month
$reportEnd = time();	
$reportStart = mktime(0, 0, 0, date("m"), 1, date("Y"));
//$reportStart = mktime(0, 0, 0, 1, 1, 2012);
RenderReport( $storeID, $reportStart, $reportEnd );
?>
    </section>
  </article>
</div>


<div class="grid-100">&nbsp;</div>

<div class="grid-50 prefix-25 suffix-25">
  <article>
    <header><h4>Top Sellers - Last Month (Cash sales only)</h4></header>
    <section>
<?php    
// last month
$reportStart = mktime(0, 0, 0, date("m") - 1, 1, date("Y") );
$reportEnd = mktime(0, 0, 0, date("m"), 0, date("Y") );
RenderReport( $storeID, $reportStart, $reportEnd );
?>
    </section>
  </article>
</div>


<script>
$(document).ready(function()
{
//  $("tr:even").css("background-color", "#eee");
});
</script>